%define major 0
%define libname %mklibname %{name} %{major}
%define libcore %mklibname %{name}-core %{major}
%define libflt %mklibname %{name}-flt %{major}
%define libgui %mklibname %{name}-gui %{major}
%define devname %mklibname -d %{name}

Summary:	Multilingual text processing library
Name:		m17n-lib
Version:	1.6.4
Release:	8
License:	LGPLv2+
Group:		System/Internationalization
Url:		http://www.m17n.org/m17n-lib/index.html
Source0:	http://savannah.c3sl.ufpr.br//m17n/m17n-lib-%{version}.tar.gz

BuildRequires:	gd-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(anthy) >= 6300d
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libotf)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(m17n-db)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xt)
# NOTE:	medit and mdump require this font otherwise you get a SIGFPE
# because the font is not found, thus generating a tab_width=0 in
# layout_glyph_string() and then a division-by-zero.
# --> the bug is rather in the library and should be handled there.
Requires:	fonts-ttf-freefont
Requires:	libotf
Requires:	m17n-db

%description
The m17n library is a multilingual text processing library for the C
language.

%files
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/m17n-conv
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/*/*.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The m17n library
Group:		System/Internationalization

%description -n %{libname}
m17n library.

%files -n %{libname}
%{_libdir}/libm17n.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libcore}
Summary:	The m17n library
Group:		System/Internationalization
Conflicts:	%{_lib}m17n-lib0 < 1.6.4-2

%description -n %{libcore}
m17n-core library.

%files -n %{libcore}
%{_libdir}/libm17n-core.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libflt}
Summary:	The m17n library
Group:		System/Internationalization
Conflicts:	%{_lib}m17n-lib0 < 1.6.4-2

%description -n %{libflt}
m17n-flt library.

%files -n %{libflt}
%{_libdir}/libm17n-flt.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgui}
Summary:	The m17n library
Group:		System/Internationalization
Conflicts:	%{_lib}m17n-lib0 < 1.6.4-2

%description -n %{libgui}
m17n-gui library.

%files -n %{libgui}
%{_libdir}/libm17n-gui.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers of m17n for development
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libcore} = %{EVRD}
Requires:	%{libflt} = %{EVRD}
Requires:	%{libgui} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Headers of %{name} for development.

%files -n %{devname}
%{_bindir}/m17n-config
%{multiarch_bindir}/m17n-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
# -j8 broken as of 1.6.4
make

%install
%makeinstall_std

# multiarch policy
%multiarch_binaries %{buildroot}%{_bindir}/m17n-config


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.6.4-8
+ Revision: 5e3fa5e
- MassBuild#440: Increase release tag


